#!/usr/bin/env python


if __name__ == '__main__':
	import os
	import sys
	parent = os.path.abspath(os.path.join(os.path.abspath(os.path.dirname(__file__)),'..'))
	sys.path.append(parent)
	from conf.param import option

	asn = []

	for a in option.get('cmdline',[]):
		try:
			if a[:2] == 'AS':
				a = a[2:]
			asn.append(int(a))
		except:
			print >> sys.stderr, 'parameter is not an ASN' , sys.argv[i]
			sys.exit(1)

	
	prog = os.path.join(parent,'..','bin','irrpt_pfxgen')
	
	for a in asn:
		command = prog + ' ' + str(a)
		param = command.split(' ')
		#param.append(str(a))
		r = os.spawnvp(os.P_WAIT,prog,param)
		if r != 0: # 127
			print 'issue running'
			sys.exit(1)
	sys.exit(1)
