#!/usr/bin/env python

import os
import re
import sys
parent = os.path.abspath(os.path.join(os.path.abspath(os.path.dirname(__file__)),'..'))
sys.path.append(parent)

configuration = os.path.join(parent,'..','conf','irrdb.conf')
expr_file = re.compile('''(.*?)\s+(.*?)\s+(.*?)\s+#\s*(.*)''')

try:
	f = open(configuration,'r')
except:
	print >> sys.stderr, 'Could not find configuration file %s' % configuration
	sys.exit(1)

cfg = []

for line in f.readlines():
	match = expr_file.search(line)
	if match:
		cfg.append(match.groups())

if __name__ == '__main__':
	print cfg