import sys

# Interface
option = {'valid': True}
# /Interface

# key : short name
# (long name, has param)
_option = {}
_option['s'] = 'shell'     # does not run the program but display how run it via shell
_option['f'] = 'filter'    # ... filter data output can not recall atm.)
_option['p'] = 'peer'      # display bgp peer related data
_option['t'] = 'transit'   # display bgp transit related data
_option['c'] = 'customer'  # display bgp customer related data
_option['e'] = 'extensive' # verbose .....
_option['d'] = 'dump'      # the not print the file name, print the content
_option['a'] = 'aligned'   # does the ip have to be aligned with their netmask
_option['f'] = 'folder'    # where to look for the configuration files

_param = {}
_param['shell'] = True
_param['filter'] = True
_param['peer'] = True
_param['transit'] = True
_param['customer'] = True
_param['extensive'] = True
_param['dump'] = False
_param['aligned'] = True
_param['folder'] = True

try:
	cmd = True
	for word in sys.argv[1:]:
		if cmd and word.startswith('-'):
			if len(word) == 2:
				key = _option[word[1]]
			else:
				key = word[2:]
			if _param[key]:
				cmd = False
			else:
				option[key] = True
			continue
		if not cmd:
			try :
				option[key].append(word)
			except:
				option[key] = [word]
			cmd = True
		else:
			try:
				option['cmdline'].append(word)
			except:
				option['cmdline'] = [word]
except:
	option = {'valid':False}

if not cmd:
	option = {'valid':False}

option['program'] = sys.argv[0]

#print sys.argv
#print option

del cmd
del _option

if __name__ == '__main__':
	print valid
	print option
	print cmdline
